Bug 166748 - Kernel panic during install - spin_lock error
Kernel panic during install - spin_lock error
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-25 03:50 EDT by Chris Uzelac
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-26 19:43:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Uzelac 2005-08-25 03:50:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
I receive a spin_lock error message and a kernel panic when installing FC4 on desktop.

Version-Release number of selected component (if applicable):
Installer for FC4

How reproducible:
Always

Steps to Reproduce:
1. Install FC4 (from FTP, HTTP or CD media) on desktop
2. Continue with install

Actual Results:  The install fetches the netstg2.img file, throws an error, then locks.

Expected Results:  The install should have continued.

Additional info:

Here is the exact error when doing a FTP install:

-----

Running anaconda, the Fedora Core system installer - please wait...
Kernel panic - not syncing: drivers/ide/pci/piix.c:232: spin_lock(drivers/ide/ide.c:c03de668) alread locked by drivers/ide/ide-iops.c/1235. (Not tainted)

-----

Then, the machine hangs and does not respond.  I cannot get the NumLock light to toggle, it's locked so hard.

This is similar to bug 152377, but does not involve the same drivers.
Comment 1 Chris Uzelac 2005-08-25 14:24:22 EDT
I just began the FC3 installation and this issue does not exist in FC3.
Comment 2 Dave Jones 2005-08-26 19:43:24 EDT
There's not a lot we can do to fix panics at install time.

All I can suggest is to try booting with options like acpi=off, and see if that
fixes things, if not, your only hope to run fc4 is to install fc3, and then use
yum to upgrade to the latest fc4.

For fc5 we've added a boot option to workaround these panics btw, but that
doesn't help you for fc4.

Note You need to log in before you can comment on or make changes to this bug.